:root {
    --bar-color-front:#003cc9;
    --bar-color-rear:#34fefe;
}
body{
    background-color: #ffffff !important;
}

@keyframes zjy-img-one {
    0% {
      opacity: 0;
      -webkit-transform: translateY(-40px);
      transform: translateY(-40px);

    }

  }
  @-webkit-keyframes zjy-img-one {
    0% {
      opacity: 0;
      -webkit-transform: translateY(-40px);
      transform: translateY(-40px);
    }
  }

  @keyframes zjy-progress-bar {
    0% {
      opacity: 0;
    }

  }
  @-webkit-keyframes zjy-progress-bar {
    0% {
      opacity: 0;
    }
  }
  #zjy-img{
    width: 122px;
    height: 73px;
      animation: zjy-img-one 1s;
      -webkit-animation: zjy-img-one 1s;
  }
@media screen and (max-width: 768px) {
    #zjy-img {
        width: 100px;
        height: 100px;
    }
}
@media screen and (max-width: 768px) {
    .label{
        font-size: 12px !important;
    }
}
#zjy-web-logo{
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 1;
    transition: all 0.5s;
    background-color: #000;
}
.label{
    font-size: 19px;
}
.zjy-progress{
    position: absolute;
    bottom: 10%;
    width:inherit;
}
.zjy-progress-label{
    margin-bottom: 10px;
    animation: zjy-progress-bar 1.5s;
    -webkit-animation: zjy-progress-bar 1.5s;
}
.zjy-progress-bar {
    height: 10px;
    padding: 5px;
    width: 100%;
    border-radius: 7px;
    box-shadow: 0 1px 5px #c79e58 inset;
    background: #0074b9;
    animation: zjy-progress-bar 1.5s;
    -webkit-animation: zjy-progress-bar 1.5s;
}
.zjy-progress-bar span{
    display: block;
    height: 100%;
    border-radius: 3px;
    transition: width 0.4s ease-in-out;
    background-image: linear-gradient(to right, var(--bar-color-front), var(--bar-color-rear));
}

html {
	-ms-touch-action: none;
}

body,
canvas,
div {
	display: block;
	outline: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);

	user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	-khtml-user-select: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

body {
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	padding: 0;
	border: 0;
	margin: 0;

	cursor: default;
	color: #000;
	background-color: #000;

	text-align: center;
	font-family: Helvetica, Verdana, Arial, sans-serif;

	display: flex;
	flex-direction: column;

	overflow: hidden;
}

#GameDiv {
	position: absolute;
	width: 100%;
	height: 100%;
}

#Cocos2dGameContainer {
	position: absolute;
	margin: 0;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-align: center;
	-webkit-box-pack: center;
}

canvas {
	position: absolute;
	background-color: #000;
	width: 100vw;
	height: 100vh;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  height: 100%;
  font-family: sans-serif;
}

.screen {
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 0.5s ease;
}

.logo-screen {
  background-color: #000;
  color: #fff;
  z-index: 2;
}

.logo {
  font-size: 2.5em;
  font-weight: bold;
}

.loading-screen {
  background-image:url("bg.jpg"); /* 自定义背景图 */
  background-size: cover;
  background-position: center;
  flex-direction: column;
  z-index: 1;
  opacity: 0;
  pointer-events: none;
}

.loading-bar-container {
  
  width: 80%;
  height: 22px;
  background-color: rgba(255, 255, 255, 0.397); /* 自定义进度条背景 */
  border-radius: 10px;

  overflow: hidden;
  position: absolute;
  bottom: 20px;
  border-width: 1px;
  border-style: solid;
  border-color: rgba(163, 224, 18, 0.055);
  border-radius: 10px;

}
.loading-text{
  z-index: 9999;
  position: absolute;
  bottom: 25px;
  font-size: 12px;
  color: white;
  text-shadow: 0 2px 2px black; /* 只向下偏移 */
}

.loading-bar {
  width: 100%;
  height: 16px;
  margin-top: 2px;
  background: linear-gradient(90deg, #224cc2, #53fefe); /* 自定义进度颜色 */
  /* animation: load 3s forwards; */
  /* border-width: 2px; */
  /* border-style: solid; */
  /* border-color: rgba(240, 240, 240, 0.055); */
  border-radius: 10px;
}
